Anonymous Login
2019-08-25 22:12 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000779v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:46
Reporteregemme 
Assigned Tocaseydk 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000779: Project gets wiped off when importing tasks with bad date start/end
DescriptionHi,

Let's first layout my situation. I built one or two WBS templates with 5 or 6 tasks. The purpose of this is to import them multiple times in the same project having iterative WBS needs. When I attempted to import this template in the project edit page, I got an error stating that an end date couldn't be earlier than a start date and discovered that my project got wiped out. Everything went down the drain: the project record, tasks and task logs. This project was already containing valuable data which requested to restore a backup.

What I got to find out is that the Project Designer is much looser on start/end dates and let me built the template WBS with inconsistent dates. This is a problem in the first row, but loosing everything when importing a template is even worst!!

To reproduce:

1. build a project with few tasks
2. build a template project with few tasks having inconsistent start/end dates
3. import the template in the project created in 1.

Thanks
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001867

caseydk (administrator)

(bumped the criticality - kc)

~0001874

caseydk (administrator)

This was a bad default design. It was assumed that you would only import tasks at the *beginning* of a project. Therefore, if you had a bad import you would want to delete all of that project's tasks. Obviously, bad assumption.

I've updated this to only delete the tasks of that single import. Therefore, it should be quite difficult to damage an existing project by either importing wrong data or trashing what you had.

Fixed in r1827;
+Notes

-Issue History
Date Modified Username Field Change
2011-04-18 10:09 egemme New Issue
2011-04-18 12:42 caseydk Note Added: 0001867
2011-04-18 12:42 caseydk Priority normal => urgent
2011-04-18 12:42 caseydk Severity major => crash
2011-04-26 20:08 caseydk Note Added: 0001874
2011-04-26 20:08 caseydk Status new => resolved
2011-04-26 20:08 caseydk Resolution open => fixed
2011-04-26 20:08 caseydk Assigned To => caseydk
2011-04-29 00:05 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-08-16 23:46 caseydk Status resolved => closed
2011-08-16 23:46 caseydk Fixed in Version => 2.4
+Issue History